***STATE HIRING CREDITS***
*Neumark - Grijalva 2016
*Forthcoming ILRR
*Table 8

clear
set more off
set matsize 2000

global data "C:\Users\Diego\Documents\Documents\USFQ\Publications\JCHC\Replication\data\Monthly"

cd $data
use JCHCdatabase_monthly, clear

*Merge cyclical indicator
merge 1:1 sname year month using pse90final
drop _merge

*Merge political variables
merge 1:1 sname year month using political_variables
drop _merge
 
*Drop the District of Columbia
drop if state==11

*Save results in a Matrix for easy saving
*The first row is the coefficient
*The second row is the standard error
matrix input linco = (0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
gen k=1

sort state year month

*Convert credit counts to dummies for 1 = at least one credit, 0 = none
*Generate lags of these variables
foreach var of varlist jc aet acf ar ans recp nrecp {
   quietly replace `var' = 1 if `var'>1 & `var'~=.
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   
   *First Differences
   quietly gen d`var' = `var' - `var'1
   quietly gen d`var'1 = `var'1 - `var'2
   quietly gen d`var'2 = `var'2 - `var'3
   quietly gen d`var'3 = `var'3 - `var'4
   quietly gen d`var'4 = `var'4 - `var'5
   quietly gen d`var'5 = `var'5 - `var'6
   quietly gen d`var'6 = `var'6 - `var'7
   quietly gen d`var'7 = `var'7 - `var'8
   quietly gen d`var'8 = `var'8 - `var'9
   quietly gen d`var'9 = `var'9 - `var'10
   quietly gen d`var'10 = `var'10 - `var'11
   quietly gen d`var'11 = `var'11 - `var'12
   quietly gen d`var'12 = `var'12 - `var'13
}

*Same thing but for ll, lpse, lminwage
foreach var of varlist ll lminwage lpse4naics {
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   quietly gen `var'14 = `var'[_n-14] if state[_n] == state[_n-14]
   quietly gen `var'15 = `var'[_n-15] if state[_n] == state[_n-15]
   quietly gen `var'16 = `var'[_n-16] if state[_n] == state[_n-16]
   quietly gen `var'17 = `var'[_n-17] if state[_n] == state[_n-17]
   quietly gen `var'18 = `var'[_n-18] if state[_n] == state[_n-18]
   quietly gen `var'19 = `var'[_n-19] if state[_n] == state[_n-19]
   quietly gen `var'20 = `var'[_n-20] if state[_n] == state[_n-20]
   quietly gen `var'21 = `var'[_n-21] if state[_n] == state[_n-21]
   quietly gen `var'22 = `var'[_n-22] if state[_n] == state[_n-22]
   quietly gen `var'23 = `var'[_n-23] if state[_n] == state[_n-23]
   quietly gen `var'24 = `var'[_n-24] if state[_n] == state[_n-24]
   quietly gen `var'25 = `var'[_n-25] if state[_n] == state[_n-25]
   quietly gen `var'26 = `var'[_n-26] if state[_n] == state[_n-26]
   quietly gen `var'27 = `var'[_n-27] if state[_n] == state[_n-27]
   quietly gen `var'28 = `var'[_n-28] if state[_n] == state[_n-28]
   quietly gen `var'29 = `var'[_n-29] if state[_n] == state[_n-29]
   quietly gen `var'30 = `var'[_n-30] if state[_n] == state[_n-30]
   quietly gen `var'31 = `var'[_n-31] if state[_n] == state[_n-31]
   quietly gen `var'32 = `var'[_n-32] if state[_n] == state[_n-32]
   quietly gen `var'33 = `var'[_n-33] if state[_n] == state[_n-33]
   quietly gen `var'34 = `var'[_n-34] if state[_n] == state[_n-34]
   quietly gen `var'35 = `var'[_n-35] if state[_n] == state[_n-35]
   quietly gen `var'36 = `var'[_n-36] if state[_n] == state[_n-36]
   quietly gen `var'37 = `var'[_n-37] if state[_n] == state[_n-37]
   
   *First Differences
   quietly gen d`var' = `var' - `var'1
   quietly gen d`var'1 = `var'1 - `var'2
   quietly gen d`var'2 = `var'2 - `var'3
   quietly gen d`var'3 = `var'3 - `var'4
   quietly gen d`var'4 = `var'4 - `var'5
   quietly gen d`var'5 = `var'5 - `var'6
   quietly gen d`var'6 = `var'6 - `var'7
   quietly gen d`var'7 = `var'7 - `var'8
   quietly gen d`var'8 = `var'8 - `var'9
   quietly gen d`var'9 = `var'9 - `var'10
   quietly gen d`var'10 = `var'10 - `var'11
   quietly gen d`var'11 = `var'11 - `var'12
   quietly gen d`var'12 = `var'12 - `var'13
   quietly gen d`var'13 = `var'13 - `var'14
   quietly gen d`var'14 = `var'14 - `var'15
   quietly gen d`var'15 = `var'15 - `var'16
   quietly gen d`var'16 = `var'16 - `var'17
   quietly gen d`var'17 = `var'17 - `var'18
   quietly gen d`var'18 = `var'18 - `var'19
   quietly gen d`var'19 = `var'19 - `var'20
   quietly gen d`var'20 = `var'20 - `var'21
   quietly gen d`var'21 = `var'21 - `var'22
   quietly gen d`var'22 = `var'22 - `var'23
   quietly gen d`var'23 = `var'23 - `var'24
   quietly gen d`var'24 = `var'24 - `var'25
   quietly gen d`var'25 = `var'25 - `var'26
   quietly gen d`var'26 = `var'26 - `var'27
   quietly gen d`var'27 = `var'27 - `var'28
   quietly gen d`var'28 = `var'28 - `var'29
   quietly gen d`var'29 = `var'29 - `var'30
   quietly gen d`var'30 = `var'30 - `var'31
   quietly gen d`var'31 = `var'31 - `var'32
   quietly gen d`var'32 = `var'32 - `var'33
   quietly gen d`var'33 = `var'33 - `var'34
   quietly gen d`var'34 = `var'34 - `var'35
   quietly gen d`var'35 = `var'35 - `var'36
   quietly gen d`var'36 = `var'36 - `var'37
}


*Same but for party of the governor
foreach var of varlist govparty_c {
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   quietly gen `var'14 = `var'[_n-14] if state[_n] == state[_n-14]
   quietly gen `var'15 = `var'[_n-15] if state[_n] == state[_n-15]
   quietly gen `var'16 = `var'[_n-16] if state[_n] == state[_n-16]
   quietly gen `var'17 = `var'[_n-17] if state[_n] == state[_n-17]
   quietly gen `var'18 = `var'[_n-18] if state[_n] == state[_n-18]
   quietly gen `var'19 = `var'[_n-19] if state[_n] == state[_n-19]
   quietly gen `var'20 = `var'[_n-20] if state[_n] == state[_n-20]
   quietly gen `var'21 = `var'[_n-21] if state[_n] == state[_n-21]
   quietly gen `var'22 = `var'[_n-22] if state[_n] == state[_n-22]
   quietly gen `var'23 = `var'[_n-23] if state[_n] == state[_n-23]
   quietly gen `var'24 = `var'[_n-24] if state[_n] == state[_n-24]
   quietly gen `var'25 = `var'[_n-25] if state[_n] == state[_n-25]
   quietly gen `var'26 = `var'[_n-26] if state[_n] == state[_n-26]
   quietly gen `var'27 = `var'[_n-27] if state[_n] == state[_n-27]
   quietly gen `var'28 = `var'[_n-28] if state[_n] == state[_n-28]
   quietly gen `var'29 = `var'[_n-29] if state[_n] == state[_n-29]
   quietly gen `var'30 = `var'[_n-30] if state[_n] == state[_n-30]
   quietly gen `var'31 = `var'[_n-31] if state[_n] == state[_n-31]
   quietly gen `var'32 = `var'[_n-32] if state[_n] == state[_n-32]
   quietly gen `var'33 = `var'[_n-33] if state[_n] == state[_n-33]
   quietly gen `var'34 = `var'[_n-34] if state[_n] == state[_n-34]
   quietly gen `var'35 = `var'[_n-35] if state[_n] == state[_n-35]
   quietly gen `var'36 = `var'[_n-36] if state[_n] == state[_n-36]
}

*Select the proper years of data for the sample
drop if year <= 1990 | year == 2012

*INTERACIONS

*State dummies
sort state year month
egen statedum = group(state)
quietly tab statedum, generate (sdum)
drop statedum

*Month dummies
egen timedum = group(year month)
sort timedum
quietly tab timedum, generate(mdum)
drop timedum

*Calendar month dummies
egen monthlydum = group(month)
quietly tab monthlydum, generate(monthdum)
drop monthlydum

*Interactions
foreach var1 of varlist sdum* {
foreach var2 of varlist monthdum* {
gen int`var1'`var2' = `var1' *`var2'
}
}

foreach var of varlist sdum* {
gen int`var'lpse4naics = `var'*lpse4naics
}

sort state year month

*First differences of interactions
foreach var of varlist mdum* intsdum*monthdum* intsdum*lpse4naics {
quietly gen d`var' = `var'[_n] - `var'[_n-1] if state[_n] == state[_n-1]
}


*Program for linear tests
capture program drop linearcombos
program define linearcombos

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12 + `1'13 + `1'14 + `1'15 + `1'16 + `1'17 + `1'18 + `1'19 + `1'20 + `1'21 + `1'22 + `1'23 + `1'24
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12 + `1'13 + `1'14 + `1'15 + `1'16 + `1'17 + `1'18 + `1'19 + `1'20 + `1'21 + `1'22 + `1'23 + `1'24 + `1'25 + `1'26 + `1'27 + `1'28 + `1'29 + `1'30 + `1'31 + `1'32 + `1'33 + `1'34 + `1'35 + `1'36
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

end

***REGRESSIONS 1991***

drop dintsdum1lpse4naics mdum1 mdum2 intsdum1monthdum*

global int dlpse4naics* dlminwage* intsdum*monthdum* mdum* dintsdum*lpse4naics

global pol govparty_c*

*Refundable
reg dar dll* $int $pol, vce(cluster state)
est store dar
matrix coeff = e(b)
matrix covar = e(V)

est restore dar
linearcombos dll
linearcombos govparty_c

*Recapture provisions
reg drecp dll* $int $pol, vce(cluster state)
est store drecp
matrix coeff = e(b)
matrix covar = e(V)

est restore drecp
linearcombos dll
linearcombos govparty_c

***RESULTS 1991***

matrix list linco

putexcel set Table8, sheet(Results) modify
putexcel B6 = matrix(linco)

********************************************************************************
***1995***
********************************************************************************

clear
set matsize 2000

global data "C:\Users\Diego\Documents\Documents\USFQ\Publications\JCHC\Replication\data\Monthly"

cd $data
use JCHCdatabase_monthly, clear

*Merge cyclical indicator
merge 1:1 sname year month using pse90final
drop _merge

*Merge political variables
merge 1:1 sname year month using political_variables
drop _merge
 
*Merge Unemployment Insurance Data
merge 1:1 state year month using uiweekcontrols
drop _merge

*Drop the District of Columbia
drop if state==11

*Save results in a Matrix for easy saving
*The first row is the coefficient
*The second row is the standard error
matrix input linco = (0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
gen k=1

sort state year month

*Convert credit counts to dummies for 1 = at least one credit, 0 = none
*Generate lags of these variables
foreach var of varlist jc aet acf ar ans recp nrecp {
   quietly replace `var' = 1 if `var'>1 & `var'~=.
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   
   *First Differences
   quietly gen d`var' = `var' - `var'1
   quietly gen d`var'1 = `var'1 - `var'2
   quietly gen d`var'2 = `var'2 - `var'3
   quietly gen d`var'3 = `var'3 - `var'4
   quietly gen d`var'4 = `var'4 - `var'5
   quietly gen d`var'5 = `var'5 - `var'6
   quietly gen d`var'6 = `var'6 - `var'7
   quietly gen d`var'7 = `var'7 - `var'8
   quietly gen d`var'8 = `var'8 - `var'9
   quietly gen d`var'9 = `var'9 - `var'10
   quietly gen d`var'10 = `var'10 - `var'11
   quietly gen d`var'11 = `var'11 - `var'12
   quietly gen d`var'12 = `var'12 - `var'13
}

*Same thing but for ll, lpse, lminwage, weeks_euc
foreach var of varlist ll lminwage weeks_euc lpse4naics {
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   quietly gen `var'14 = `var'[_n-14] if state[_n] == state[_n-14]
   quietly gen `var'15 = `var'[_n-15] if state[_n] == state[_n-15]
   quietly gen `var'16 = `var'[_n-16] if state[_n] == state[_n-16]
   quietly gen `var'17 = `var'[_n-17] if state[_n] == state[_n-17]
   quietly gen `var'18 = `var'[_n-18] if state[_n] == state[_n-18]
   quietly gen `var'19 = `var'[_n-19] if state[_n] == state[_n-19]
   quietly gen `var'20 = `var'[_n-20] if state[_n] == state[_n-20]
   quietly gen `var'21 = `var'[_n-21] if state[_n] == state[_n-21]
   quietly gen `var'22 = `var'[_n-22] if state[_n] == state[_n-22]
   quietly gen `var'23 = `var'[_n-23] if state[_n] == state[_n-23]
   quietly gen `var'24 = `var'[_n-24] if state[_n] == state[_n-24]
   quietly gen `var'25 = `var'[_n-25] if state[_n] == state[_n-25]
   quietly gen `var'26 = `var'[_n-26] if state[_n] == state[_n-26]
   quietly gen `var'27 = `var'[_n-27] if state[_n] == state[_n-27]
   quietly gen `var'28 = `var'[_n-28] if state[_n] == state[_n-28]
   quietly gen `var'29 = `var'[_n-29] if state[_n] == state[_n-29]
   quietly gen `var'30 = `var'[_n-30] if state[_n] == state[_n-30]
   quietly gen `var'31 = `var'[_n-31] if state[_n] == state[_n-31]
   quietly gen `var'32 = `var'[_n-32] if state[_n] == state[_n-32]
   quietly gen `var'33 = `var'[_n-33] if state[_n] == state[_n-33]
   quietly gen `var'34 = `var'[_n-34] if state[_n] == state[_n-34]
   quietly gen `var'35 = `var'[_n-35] if state[_n] == state[_n-35]
   quietly gen `var'36 = `var'[_n-36] if state[_n] == state[_n-36]
   quietly gen `var'37 = `var'[_n-37] if state[_n] == state[_n-37]
   
   *First Differences
   quietly gen d`var' = `var' - `var'1
   quietly gen d`var'1 = `var'1 - `var'2
   quietly gen d`var'2 = `var'2 - `var'3
   quietly gen d`var'3 = `var'3 - `var'4
   quietly gen d`var'4 = `var'4 - `var'5
   quietly gen d`var'5 = `var'5 - `var'6
   quietly gen d`var'6 = `var'6 - `var'7
   quietly gen d`var'7 = `var'7 - `var'8
   quietly gen d`var'8 = `var'8 - `var'9
   quietly gen d`var'9 = `var'9 - `var'10
   quietly gen d`var'10 = `var'10 - `var'11
   quietly gen d`var'11 = `var'11 - `var'12
   quietly gen d`var'12 = `var'12 - `var'13
   quietly gen d`var'13 = `var'13 - `var'14
   quietly gen d`var'14 = `var'14 - `var'15
   quietly gen d`var'15 = `var'15 - `var'16
   quietly gen d`var'16 = `var'16 - `var'17
   quietly gen d`var'17 = `var'17 - `var'18
   quietly gen d`var'18 = `var'18 - `var'19
   quietly gen d`var'19 = `var'19 - `var'20
   quietly gen d`var'20 = `var'20 - `var'21
   quietly gen d`var'21 = `var'21 - `var'22
   quietly gen d`var'22 = `var'22 - `var'23
   quietly gen d`var'23 = `var'23 - `var'24
   quietly gen d`var'24 = `var'24 - `var'25
   quietly gen d`var'25 = `var'25 - `var'26
   quietly gen d`var'26 = `var'26 - `var'27
   quietly gen d`var'27 = `var'27 - `var'28
   quietly gen d`var'28 = `var'28 - `var'29
   quietly gen d`var'29 = `var'29 - `var'30
   quietly gen d`var'30 = `var'30 - `var'31
   quietly gen d`var'31 = `var'31 - `var'32
   quietly gen d`var'32 = `var'32 - `var'33
   quietly gen d`var'33 = `var'33 - `var'34
   quietly gen d`var'34 = `var'34 - `var'35
   quietly gen d`var'35 = `var'35 - `var'36
   quietly gen d`var'36 = `var'36 - `var'37
}

*Same but for party of the governor
foreach var of varlist govparty_c {
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   quietly gen `var'14 = `var'[_n-14] if state[_n] == state[_n-14]
   quietly gen `var'15 = `var'[_n-15] if state[_n] == state[_n-15]
   quietly gen `var'16 = `var'[_n-16] if state[_n] == state[_n-16]
   quietly gen `var'17 = `var'[_n-17] if state[_n] == state[_n-17]
   quietly gen `var'18 = `var'[_n-18] if state[_n] == state[_n-18]
   quietly gen `var'19 = `var'[_n-19] if state[_n] == state[_n-19]
   quietly gen `var'20 = `var'[_n-20] if state[_n] == state[_n-20]
   quietly gen `var'21 = `var'[_n-21] if state[_n] == state[_n-21]
   quietly gen `var'22 = `var'[_n-22] if state[_n] == state[_n-22]
   quietly gen `var'23 = `var'[_n-23] if state[_n] == state[_n-23]
   quietly gen `var'24 = `var'[_n-24] if state[_n] == state[_n-24]
   quietly gen `var'25 = `var'[_n-25] if state[_n] == state[_n-25]
   quietly gen `var'26 = `var'[_n-26] if state[_n] == state[_n-26]
   quietly gen `var'27 = `var'[_n-27] if state[_n] == state[_n-27]
   quietly gen `var'28 = `var'[_n-28] if state[_n] == state[_n-28]
   quietly gen `var'29 = `var'[_n-29] if state[_n] == state[_n-29]
   quietly gen `var'30 = `var'[_n-30] if state[_n] == state[_n-30]
   quietly gen `var'31 = `var'[_n-31] if state[_n] == state[_n-31]
   quietly gen `var'32 = `var'[_n-32] if state[_n] == state[_n-32]
   quietly gen `var'33 = `var'[_n-33] if state[_n] == state[_n-33]
   quietly gen `var'34 = `var'[_n-34] if state[_n] == state[_n-34]
   quietly gen `var'35 = `var'[_n-35] if state[_n] == state[_n-35]
   quietly gen `var'36 = `var'[_n-36] if state[_n] == state[_n-36]
}

*Select the proper years of data for the sample
drop if year <= 1994 | year == 2012

*INTERACIONS

*State dummies
sort state year month
egen statedum = group(state)
quietly tab statedum, generate (sdum)
drop statedum

*Month dummies
egen timedum = group(year month)
sort timedum
quietly tab timedum, generate(mdum)
drop timedum

*Calendar month dummies
egen monthlydum = group(month)
quietly tab monthlydum, generate(monthdum)
drop monthlydum

*Interactions
foreach var1 of varlist sdum* {
foreach var2 of varlist monthdum* {
gen int`var1'`var2' = `var1' *`var2'
}
}

foreach var of varlist sdum* {
gen int`var'lpse4naics = `var'*lpse4naics
}

sort state year month

*First differences of interactions
foreach var of varlist mdum* intsdum*monthdum* intsdum*lpse4naics {
quietly gen d`var' = `var'[_n] - `var'[_n-1] if state[_n] == state[_n-1]
}


*Program for linear tests
capture program drop linearcombos
program define linearcombos

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12 + `1'13 + `1'14 + `1'15 + `1'16 + `1'17 + `1'18 + `1'19 + `1'20 + `1'21 + `1'22 + `1'23 + `1'24
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12 + `1'13 + `1'14 + `1'15 + `1'16 + `1'17 + `1'18 + `1'19 + `1'20 + `1'21 + `1'22 + `1'23 + `1'24 + `1'25 + `1'26 + `1'27 + `1'28 + `1'29 + `1'30 + `1'31 + `1'32 + `1'33 + `1'34 + `1'35 + `1'36
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

end

***REGRESSIONS 1995***

drop dintsdum1lpse4naics mdum1 mdum2 intsdum1monthdum*

global int dlpse4naics* dlminwage* dweeks_euc* intsdum*monthdum* mdum* dintsdum*lpse4naics

global pol govparty_c*

*Refundable
reg dar dll* $int $pol, vce(cluster state)
est store dar
matrix coeff = e(b)
matrix covar = e(V)

est restore dar
linearcombos dll
linearcombos govparty_c

*Recapture provisions
reg drecp dll* $int $pol, vce(cluster state)
est store drecp
matrix coeff = e(b)
matrix covar = e(V)

est restore drecp
linearcombos dll
linearcombos govparty_c

***RESULTS 1995***

matrix list linco

putexcel set Table8, sheet(Results) modify
putexcel B4 = matrix(linco)

********************************************************************************
***2007***
********************************************************************************

clear
set matsize 2000

global data "C:\Users\Diego\Documents\Documents\USFQ\Publications\JCHC\Replication\data\Monthly"

cd $data
use JCHCdatabase_monthly, clear

*Merge cyclical indicator
merge 1:1 sname year month using pse06final
drop _merge
merge 1:1 sname year month using pse90final
drop _merge

*Merge political variables
merge 1:1 sname year month using political_variables
drop _merge
 
*Merge Unemployment Insurance Data
merge 1:1 state year month using uiweekcontrols
drop _merge

*Merge housing data
merge 1:1 sname year month using housing_data
drop _merge

*Merge ARRA data
merge 1:1 state year month using ARRA.dta
drop _merge

*Drop the District of Columbia
drop if state==11

*Save results in a Matrix for easy saving
*The first row is the coefficient
*The second row is the standard error
matrix input linco = (0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0\0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0)
gen k=1

sort state year month

rename q1 qn1
rename q2 qn2
rename q3 qn3
rename q4 qn4
rename q5 qn5

*Taking logs of tobnoDOL 
gen ltobnoDOL = log(tobnoDOL)

*Convert credit counts to dummies for 1 = at least one credit, 0 = none
*Generate lags of these variables
foreach var of varlist jc aet acf ar ans recp nrecp teu tew ted nte {
   quietly replace `var' = 1 if `var'>1 & `var'~=.
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   
   *First Differences
   quietly gen d`var' = `var' - `var'1
   quietly gen d`var'1 = `var'1 - `var'2
   quietly gen d`var'2 = `var'2 - `var'3
   quietly gen d`var'3 = `var'3 - `var'4
   quietly gen d`var'4 = `var'4 - `var'5
   quietly gen d`var'5 = `var'5 - `var'6
   quietly gen d`var'6 = `var'6 - `var'7
   quietly gen d`var'7 = `var'7 - `var'8
   quietly gen d`var'8 = `var'8 - `var'9
   quietly gen d`var'9 = `var'9 - `var'10
   quietly gen d`var'10 = `var'10 - `var'11
   quietly gen d`var'11 = `var'11 - `var'12
   quietly gen d`var'12 = `var'12 - `var'13
}

*Same thing but for ll, lpse, lminwage, weeks_euc, and ARRA
foreach var of varlist ll lminwage weeks_euc lpse4naics06 ltobnoDOL {
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   quietly gen `var'14 = `var'[_n-14] if state[_n] == state[_n-14]
   quietly gen `var'15 = `var'[_n-15] if state[_n] == state[_n-15]
   quietly gen `var'16 = `var'[_n-16] if state[_n] == state[_n-16]
   quietly gen `var'17 = `var'[_n-17] if state[_n] == state[_n-17]
   quietly gen `var'18 = `var'[_n-18] if state[_n] == state[_n-18]
   quietly gen `var'19 = `var'[_n-19] if state[_n] == state[_n-19]
   quietly gen `var'20 = `var'[_n-20] if state[_n] == state[_n-20]
   quietly gen `var'21 = `var'[_n-21] if state[_n] == state[_n-21]
   quietly gen `var'22 = `var'[_n-22] if state[_n] == state[_n-22]
   quietly gen `var'23 = `var'[_n-23] if state[_n] == state[_n-23]
   quietly gen `var'24 = `var'[_n-24] if state[_n] == state[_n-24]
   quietly gen `var'25 = `var'[_n-25] if state[_n] == state[_n-25]
   quietly gen `var'26 = `var'[_n-26] if state[_n] == state[_n-26]
   quietly gen `var'27 = `var'[_n-27] if state[_n] == state[_n-27]
   quietly gen `var'28 = `var'[_n-28] if state[_n] == state[_n-28]
   quietly gen `var'29 = `var'[_n-29] if state[_n] == state[_n-29]
   quietly gen `var'30 = `var'[_n-30] if state[_n] == state[_n-30]
   quietly gen `var'31 = `var'[_n-31] if state[_n] == state[_n-31]
   quietly gen `var'32 = `var'[_n-32] if state[_n] == state[_n-32]
   quietly gen `var'33 = `var'[_n-33] if state[_n] == state[_n-33]
   quietly gen `var'34 = `var'[_n-34] if state[_n] == state[_n-34]
   quietly gen `var'35 = `var'[_n-35] if state[_n] == state[_n-35]
   quietly gen `var'36 = `var'[_n-36] if state[_n] == state[_n-36]
   quietly gen `var'37 = `var'[_n-37] if state[_n] == state[_n-37]
   
   *First Differences
   quietly gen d`var' = `var' - `var'1
   quietly gen d`var'1 = `var'1 - `var'2
   quietly gen d`var'2 = `var'2 - `var'3
   quietly gen d`var'3 = `var'3 - `var'4
   quietly gen d`var'4 = `var'4 - `var'5
   quietly gen d`var'5 = `var'5 - `var'6
   quietly gen d`var'6 = `var'6 - `var'7
   quietly gen d`var'7 = `var'7 - `var'8
   quietly gen d`var'8 = `var'8 - `var'9
   quietly gen d`var'9 = `var'9 - `var'10
   quietly gen d`var'10 = `var'10 - `var'11
   quietly gen d`var'11 = `var'11 - `var'12
   quietly gen d`var'12 = `var'12 - `var'13
   quietly gen d`var'13 = `var'13 - `var'14
   quietly gen d`var'14 = `var'14 - `var'15
   quietly gen d`var'15 = `var'15 - `var'16
   quietly gen d`var'16 = `var'16 - `var'17
   quietly gen d`var'17 = `var'17 - `var'18
   quietly gen d`var'18 = `var'18 - `var'19
   quietly gen d`var'19 = `var'19 - `var'20
   quietly gen d`var'20 = `var'20 - `var'21
   quietly gen d`var'21 = `var'21 - `var'22
   quietly gen d`var'22 = `var'22 - `var'23
   quietly gen d`var'23 = `var'23 - `var'24
   quietly gen d`var'24 = `var'24 - `var'25
   quietly gen d`var'25 = `var'25 - `var'26
   quietly gen d`var'26 = `var'26 - `var'27
   quietly gen d`var'27 = `var'27 - `var'28
   quietly gen d`var'28 = `var'28 - `var'29
   quietly gen d`var'29 = `var'29 - `var'30
   quietly gen d`var'30 = `var'30 - `var'31
   quietly gen d`var'31 = `var'31 - `var'32
   quietly gen d`var'32 = `var'32 - `var'33
   quietly gen d`var'33 = `var'33 - `var'34
   quietly gen d`var'34 = `var'34 - `var'35
   quietly gen d`var'35 = `var'35 - `var'36
   quietly gen d`var'36 = `var'36 - `var'37
}


*Same but for party of the governor
foreach var of varlist govparty_c {
   quietly gen `var'1 = `var'[_n-1] if state[_n] == state[_n-1]
   quietly gen `var'2 = `var'[_n-2] if state[_n] == state[_n-2]
   quietly gen `var'3 = `var'[_n-3] if state[_n] == state[_n-3]
   quietly gen `var'4 = `var'[_n-4] if state[_n] == state[_n-4]
   quietly gen `var'5 = `var'[_n-5] if state[_n] == state[_n-5]
   quietly gen `var'6 = `var'[_n-6] if state[_n] == state[_n-6]
   quietly gen `var'7 = `var'[_n-7] if state[_n] == state[_n-7]
   quietly gen `var'8 = `var'[_n-8] if state[_n] == state[_n-8]
   quietly gen `var'9 = `var'[_n-9] if state[_n] == state[_n-9]
   quietly gen `var'10 = `var'[_n-10] if state[_n] == state[_n-10]
   quietly gen `var'11 = `var'[_n-11] if state[_n] == state[_n-11]
   quietly gen `var'12 = `var'[_n-12] if state[_n] == state[_n-12]
   quietly gen `var'13 = `var'[_n-13] if state[_n] == state[_n-13]
   quietly gen `var'14 = `var'[_n-14] if state[_n] == state[_n-14]
   quietly gen `var'15 = `var'[_n-15] if state[_n] == state[_n-15]
   quietly gen `var'16 = `var'[_n-16] if state[_n] == state[_n-16]
   quietly gen `var'17 = `var'[_n-17] if state[_n] == state[_n-17]
   quietly gen `var'18 = `var'[_n-18] if state[_n] == state[_n-18]
   quietly gen `var'19 = `var'[_n-19] if state[_n] == state[_n-19]
   quietly gen `var'20 = `var'[_n-20] if state[_n] == state[_n-20]
   quietly gen `var'21 = `var'[_n-21] if state[_n] == state[_n-21]
   quietly gen `var'22 = `var'[_n-22] if state[_n] == state[_n-22]
   quietly gen `var'23 = `var'[_n-23] if state[_n] == state[_n-23]
   quietly gen `var'24 = `var'[_n-24] if state[_n] == state[_n-24]
   quietly gen `var'25 = `var'[_n-25] if state[_n] == state[_n-25]
   quietly gen `var'26 = `var'[_n-26] if state[_n] == state[_n-26]
   quietly gen `var'27 = `var'[_n-27] if state[_n] == state[_n-27]
   quietly gen `var'28 = `var'[_n-28] if state[_n] == state[_n-28]
   quietly gen `var'29 = `var'[_n-29] if state[_n] == state[_n-29]
   quietly gen `var'30 = `var'[_n-30] if state[_n] == state[_n-30]
   quietly gen `var'31 = `var'[_n-31] if state[_n] == state[_n-31]
   quietly gen `var'32 = `var'[_n-32] if state[_n] == state[_n-32]
   quietly gen `var'33 = `var'[_n-33] if state[_n] == state[_n-33]
   quietly gen `var'34 = `var'[_n-34] if state[_n] == state[_n-34]
   quietly gen `var'35 = `var'[_n-35] if state[_n] == state[_n-35]
   quietly gen `var'36 = `var'[_n-36] if state[_n] == state[_n-36]
}

*Select the proper years of data for the sample
drop if year <= 2006 | year == 2012

*INTERACIONS

*State dummies
sort state year month
egen statedum = group(state)
quietly tab statedum, generate (sdum)
drop statedum

*Month dummies
egen timedum = group(year month)
sort timedum
quietly tab timedum, generate(mdum)
drop timedum

*Calendar month dummies
egen monthlydum = group(month)
quietly tab monthlydum, generate(monthdum)
drop monthlydum

*Interactions
foreach var1 of varlist sdum* {
foreach var2 of varlist monthdum* {
gen int`var1'`var2' = `var1' *`var2'
}
}

foreach var of varlist sdum* {
gen int`var'lpse4naics06 = `var'*lpse4naics06
}

*Interactions of housing variables
foreach var1 of varlist qn*{
foreach var2 of varlist mdum* {
gen int`var1'`var2' = `var1'*`var2'
}
}

sort state year month

*First differences of interactions
foreach var of varlist mdum* intsdum*monthdum* intsdum*lpse4naics06 {
quietly gen d`var' = `var'[_n] - `var'[_n-1] if state[_n] == state[_n-1]
}

*Program for linear tests
capture program drop linearcombos
program define linearcombos

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12 + `1'13 + `1'14 + `1'15 + `1'16 + `1'17 + `1'18 + `1'19 + `1'20 + `1'21 + `1'22 + `1'23 + `1'24
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

lincom `1' + `1'1 + `1'2 + `1'3 + `1'4 + `1'5 + `1'6 + `1'7 + `1'8 + `1'9 + `1'10 + `1'11 + `1'12 + `1'13 + `1'14 + `1'15 + `1'16 + `1'17 + `1'18 + `1'19 + `1'20 + `1'21 + `1'22 + `1'23 + `1'24 + `1'25 + `1'26 + `1'27 + `1'28 + `1'29 + `1'30 + `1'31 + `1'32 + `1'33 + `1'34 + `1'35 + `1'36
matrix linco[1,k] = r(estimate)
matrix linco[2,k] = r(se)
replace k=k+1

end

***REGRESSIONS 2007***

drop dintsdum1lpse4naics06 mdum1 mdum2 intsdum1monthdum*

drop intqn1mdum*
         
forvalues i=2(1)5{
forvalues j=1(1)12 {
drop intqn`i'mdum`j'
}
}

drop intqn2mdum13 intqn3mdum13 intqn4mdum13 intqn5mdum13

global int dlpse4naics06* dlminwage* dweeks_euc* intsdum*monthdum* mdum* dintsdum*lpse4naics06 dltobnoDOL* intqn*

global pol govparty_c*

*Refundable
reg dar dll* $int $pol, vce(cluster state)
est store dar
matrix coeff = e(b)
matrix covar = e(V)

est restore dar
linearcombos dll
linearcombos govparty_c

*Recapture provisions
reg drecp dll* $int $pol, vce(cluster state)
est store drecp
matrix coeff = e(b)
matrix covar = e(V)

est restore drecp
linearcombos dll
linearcombos govparty_c

*Targeting of employees
reg dteu dll* $int $pol, vce(cluster state)
est store dteu
matrix coeff = e(b)
matrix covar = e(V)

est restore dteu
linearcombos dll
linearcombos govparty_c

***RESULTS 2007***

matrix list linco

putexcel set Table8, sheet(Results) modify
putexcel B8 = matrix(linco)
